<div id="body" class="container-fluid">
  <div class="row">
    <div class="col-24">
      <div class="row">
        <div class="col-md-6">
          <h6 class="mb-3">MPLS</h6>
        </div>
        <div class="col-md-6 offset-md-12">
          <div class="text-right">
            <a target="_blank" rel="noopener noreferrer" href="http://webcontoo.corp.sprint.com/webcontoo/llisapi.dll/fetch/2000/1835597/1836298/14404/106652/106324/107866/106767/6074490/0069794_MPLS_and_MPLS_VAS_Events_in_Comprehensive_Order_Workflow_System_COWS_.pdf?nodeid=6449265&vernum=-2">MPLS Event Job Aid for IPMs/Members</a>
          </div>
        </div>
      </div>
      <h6 class="text-danger" *ngIf="isLocked">This event is currently locked by {{ lockedByUser }}</h6>
      <form [formGroup]="form" novalidate>
        <div class="form-row text-center">
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
            <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancel()">
              Cancel
            </button>
          </div>
          <!--<div class="form-group form-group-sm col-12 col-md-6 col-lg-4" *ngIf="!isLocked && allowEdit">
        <div *ngIf="editMode; then saveTemplate; else editTemplate;"></div>
        <ng-template #editTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="edit()">
            Edit Event
          </button>
        </ng-template>
        <ng-template #saveTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="save()"
                  [disabled]="form.invalid || mplsEventAccessTagList.length == 0">
            Save
          </button>
        </ng-template>
      </div>-->
        </div>
        <br />
        <div class="form-row">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col-24 col-lg-4">Item Title: </label>
            <div class="col-24 col-lg-20 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="itemTitle" />
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-lg-24">
            <label class="col-form-label col-24 col-lg-4">
              Event <span class="d-inline-block d-lg-none">Desc</span>
              <span class="d-none d-lg-inline-block">Description</span>
              :
            </label>
            <div class="col-24 col-lg-20 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="eventDescription" />
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8">Event ID: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="eventID" />
            </div>
          </div>
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8">Event Status: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <dx-select-box [items]="eventStatusList" formControlName="eventStatus"
                             displayExpr="description" valueExpr="value"></dx-select-box>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8">M5 #: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <div class="input-group">
                <input type="text" class="form-control form-control-sm" formControlName="m5_no" (change)="resetAssignee($event)" />
                <app-lookup-m5 *ngIf="option.lookup_m5?.isEnabled" [group]="form" [option]="option.lookup_m5" [eventType]="eventType"></app-lookup-m5>
              </div>
            </div>
          </div>
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8">CharsID: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="charsID" />
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8 text-danger">H1: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="h1" (change)="resetAssignee($event)" />
              <div *ngIf="h1.invalid && (h1.dirty || h1.touched || isSubmitted)">
                <span *ngIf="h1.errors.required" class="form-text text-danger">
                  H1 is required
                </span>
                <span *ngIf="h1.errors.invalidH1" class="form-text text-danger">
                  H1 field is not in correct format. H1 should contain 9 digits only.
                </span>
              </div>
            </div>
          </div>
          <div class="form-group form-group-sm row col-24 col-lg-12">
            <label class="col-form-label col-24 col-lg-8">H6: </label>
            <div class="col-24 col-lg-16 pl-0 pl-lg-3">
              <input type="text" class="form-control form-control-sm" formControlName="h6" (change)="resetAssignee($event)" />
            </div>
          </div>
        </div>
        <br />
        <app-customer-template [group]="form.controls.customer" [option]="option.customer" [isSubmitted]="isSubmitted"></app-customer-template>
        <app-requestor-template [group]="form.controls.requestor" [option]="option.requestor" [isSubmitted]="isSubmitted"></app-requestor-template>
        <app-sales-template [group]="form.controls.sales" [option]="option.sales" [isSubmitted]="isSubmitted"></app-sales-template>
        <div class="card mb-3">
          <mat-accordion>
            <mat-expansion-panel [expanded]="true" class="mb-2">
              <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                <mat-panel-title><h6>Design</h6></mat-panel-title>
              </mat-expansion-panel-header>
              <div formGroupName="design">
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24 col-xxl-12">
                    <label class="col-form-label col-24 col-lg-4">Published Email CC: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <div class="input-group">
                        <input type="text" class="form-control form-control-sm" formControlName="publishedEmailCC" />
                        <app-user-finder *ngIf="option.design.userFinderForPublishedEmail?.isEnabled" id="published-email"
                                         [group]="form.controls.design" [option]="option.design.userFinderForPublishedEmail"></app-user-finder>
                      </div>
                      <div *ngIf="publishedEmailCC.invalid && (publishedEmailCC.dirty || publishedEmailCC.touched || isSubmitted)">
                        <span *ngIf="publishedEmailCC.errors.invalidEmail" class="form-text text-danger">
                          Published Email CC is invalid
                        </span>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24 col-lg-24 col-xxl-12">
                    <label class="col-form-label col-24 col-lg-4">Completed Email CC: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <div class="input-group">
                        <input type="text" class="form-control form-control-sm" formControlName="completeEmailCC" />
                        <app-user-finder *ngIf="option.design.userFinderForCompleteEmail?.isEnabled" id="complete-email"
                                         [group]="form.controls.design" [option]="option.design.userFinderForCompleteEmail"></app-user-finder>
                      </div>
                      <div *ngIf="completeEmailCC.invalid && (completeEmailCC.dirty || completeEmailCC.touched || isSubmitted)">
                        <span *ngIf="completeEmailCC.errors.invalidEmail" class="form-text text-danger">
                          Completed Email CC is invalid
                        </span>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24 col-xxl-12">
                    <label class="col-form-label col-24 col-lg-4 text-danger">Design Document Location: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <input type="text" class="form-control form-control-sm" formControlName="designDocumentLocation" />
                      <div *ngIf="designDocumentLocation.invalid && (designDocumentLocation.dirty || designDocumentLocation.touched || isSubmitted)">
                        <span *ngIf="designDocumentLocation.errors.required" class="form-text text-danger">
                          Design Document Location is required
                        </span>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24 col-xxl-12">
                    <label class="col-form-label col-24 col-lg-4 text-danger">Design Document Approval Number: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <input type="text" class="form-control form-control-sm" formControlName="designDocumentApprovalNo" />
                      <div *ngIf="designDocumentApprovalNo.invalid && (designDocumentApprovalNo.dirty || designDocumentApprovalNo.touched || isSubmitted)">
                        <span *ngIf="designDocumentApprovalNo.errors.required" class="form-text text-danger">
                          Design Document Approval Number is required
                        </span>
                      </div>
                      <div class="mt-2">
                        <dx-check-box formControlName="isNddUpdated" text="Is NDD Updated?"></dx-check-box>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </mat-expansion-panel>
          </mat-accordion>
        </div>
        <div class="card mb-3">
          <mat-accordion>
            <mat-expansion-panel [expanded]="true" class="mb-2">
              <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                <mat-panel-title><h6>Event</h6></mat-panel-title>
              </mat-expansion-panel-header>
              <div formGroupName="event">
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 text-danger">Description and Comments: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <textarea class="form-control form-control-sm" formControlName="comments" rows="5"></textarea>
                      <div *ngIf="comments.invalid && (comments.dirty || comments.touched || isSubmitted)">
                        <span *ngIf="comments.errors.required" class="form-text text-danger">
                          Description and Comments is required
                        </span>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 text-danger">MPLS Event Type: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <dx-select-box [items]="mplsEventTypeList"
                                     displayExpr="description"
                                     valueExpr="value"
                                     formControlName="mplsEventType"
                                     (onValueChanged)="resetAssignee($event)"></dx-select-box>
                      <div *ngIf="mplsEventType.invalid && (mplsEventType.dirty || mplsEventType.touched || isSubmitted)">
                        <span *ngIf="mplsEventType.errors.required" class="form-text text-danger">
                          MPLS Event Type is required
                        </span>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 text-danger">MPLS Activity Type: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <dx-tag-box [dataSource]="mplsActivityTypeList"
                                  displayExpr="description"
                                  valueExpr="value"
                                  formControlName="mplsActivityTypes"
                                  [showSelectionControls]="true">
                      </dx-tag-box>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 text-danger">VPN Platform Type: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <dx-select-box [items]="vpnPlatformTypeList"
                                     displayExpr="description"
                                     valueExpr="value"
                                     formControlName="vpnPlatformType"
                                     (onValueChanged)="resetAssignee($event)"></dx-select-box>
                      <div *ngIf="vpnPlatformType.invalid && (vpnPlatformType.dirty || vpnPlatformType.touched || isSubmitted)">
                        <span *ngIf="vpnPlatformType.errors.required" class="form-text text-danger">
                          VPN Platform Type is required
                        </span>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4">VAS Types: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <dx-tag-box [dataSource]="vasTypeList"
                                  displayExpr="description"
                                  valueExpr="value"
                                  formControlName="vasTypes"
                                  [showSelectionControls]="true"
                                  (onValueChanged)="resetAssignee($event)">
                      </dx-tag-box>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 text-danger">IP Version: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <dx-select-box [items]="ipVersionList"
                                     displayExpr="text"
                                     valueExpr="value"
                                     formControlName="ipVersion"></dx-select-box>
                      <div *ngIf="ipVersion.invalid && (ipVersion.dirty || ipVersion.touched || isSubmitted)">
                        <span *ngIf="ipVersion.errors.required" class="form-text text-danger">
                          IP Version is required
                        </span>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4">Activity Locale: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <dx-select-box [items]="activityLocaleList"
                                     displayExpr="description"
                                     valueExpr="value"
                                     formControlName="activityLocale"></dx-select-box>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4">Multi VRF Requirements: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <div class="form-group form-group-sm row">
                        <div class="col-24 col-lg-8">
                          <dx-select-box [items]="multiVrfReqList"
                                         displayExpr="text"
                                         valueExpr="value"
                                         formControlName="multiVrfRequirement"></dx-select-box>
                        </div>
                        <div class="col-24 col-lg-12"
                             *ngIf="multiVrfRequirement.value == 'E'">
                          <div class="form-group form-group-sm row">
                            <label class="col-form-label col-24 col-lg-4">VRF Name: </label>
                            <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                              <input type="text" class="form-control form-control-sm" formControlName="vrfName" />
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="mt-2">
                        <dx-check-box formControlName="mdsManaged" text="MDS Managed">
                        </dx-check-box>
                      </div>
                      <div class="mt-2">
                        <dx-check-box formControlName="addEndToEndMonitoring"
                                      text="Add End to End Monitoring">
                        </dx-check-box>
                      </div>
                      <div class="mt-2" *ngIf="addEndToEndMonitoring.value">
                        <mat-accordion>
                          <mat-expansion-panel [expanded]="true">
                            <mat-expansion-panel-header>
                              <mat-panel-title class="small-header">Add End to End Monitoring</mat-panel-title>
                            </mat-expansion-panel-header>
                            <div class="form-group form-group-sm row">
                              <label class="col-form-label col-24 col-lg-4">MDS VRF Name: </label>
                              <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                                <input type="text" class="form-control form-control-sm" formControlName="mdsVrfName" />
                              </div>
                            </div>
                            <div class="form-group form-group-sm row">
                              <label class="col-form-label col-24 col-lg-4">MDS IP Address: </label>
                              <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                                <input type="text" class="form-control form-control-sm" formControlName="mdsIpAddress" />
                              </div>
                            </div>
                            <div class="form-group form-group-sm row">
                              <label class="col-form-label col-24 col-lg-4">MDS DLCI: </label>
                              <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                                <input type="text" class="form-control form-control-sm" formControlName="mdsDlci" />
                              </div>
                            </div>
                            <div class="form-group form-group-sm row">
                              <label class="col-form-label col-24 col-lg-4">MDS Static Route: </label>
                              <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                                <input type="text" class="form-control form-control-sm" formControlName="mdsStaticRoute" />
                              </div>
                            </div>
                          </mat-expansion-panel>
                        </mat-accordion>
                      </div>
                      <div class="mt-2">
                        <dx-check-box formControlName="onNetMonitoring"
                                      text="ON Net Monitoring">
                        </dx-check-box>
                      </div>
                      <div class="mt-2">
                        <dx-check-box formControlName="isWholesalePartner"
                                      text="Is this a Wholesale Partner?">
                        </dx-check-box>
                      </div>
                      <div class="mt-2" *ngIf="isWholesalePartner.value">
                        <mat-accordion>
                          <mat-expansion-panel [expanded]="true">
                            <mat-expansion-panel-header>
                              <mat-panel-title class="small-header">Is this a Wholesale Partner</mat-panel-title>
                            </mat-expansion-panel-header>
                            <div class="form-group form-group-sm row">
                              <label class="col-form-label col-24 col-lg-4">Wholesale Partner: </label>
                              <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                                <dx-select-box [items]="wholesalePartnerList"
                                               displayExpr="description"
                                               valueExpr="value"
                                               formControlName="wholesalePartner"></dx-select-box>
                              </div>
                            </div>
                            <div class="form-group form-group-sm row">
                              <label class="col-form-label col-24 col-lg-4">NNI Design Document: </label>
                              <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                                <input type="text" class="form-control form-control-sm" formControlName="nniDesignDocument" />
                              </div>
                            </div>
                          </mat-expansion-panel>
                        </mat-accordion>
                      </div>
                      <div class="mt-2">
                        <dx-check-box formControlName="isCarrierPartner"
                                      text="Is this a Carrier Partner?">
                        </dx-check-box>
                      </div>
                      <div class="mt-2" *ngIf="isCarrierPartner.value">
                        <mat-accordion>
                          <mat-expansion-panel [expanded]="true">
                            <mat-expansion-panel-header>
                              <mat-panel-title class="small-header">Is this a Carrier Partner</mat-panel-title>
                            </mat-expansion-panel-header>
                            <div class="form-group form-group-sm row">
                              <label class="col-form-label col-24 col-lg-4">Carrier Partner: </label>
                              <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                                <dx-select-box [items]="carrierVendorList"
                                               displayExpr="vndrNme"
                                               valueExpr="vndrCd"
                                               formControlName="carrierVendorPartner"></dx-select-box>
                                <div class="mt-2">
                                  <dx-check-box formControlName="offNetMonitoring"
                                                text="OFF Net Monitoring">
                                  </dx-check-box>
                                </div>
                              </div>
                            </div>
                          </mat-expansion-panel>
                        </mat-accordion>
                      </div>
                      <div class="mt-2">
                        <dx-check-box formControlName="isMigration"
                                      text="Is this a Migration?">
                        </dx-check-box>
                      </div>
                      <div class="mt-2" *ngIf="isMigration.value">
                        <mat-accordion>
                          <mat-expansion-panel [expanded]="true">
                            <mat-expansion-panel-header>
                              <mat-panel-title class="small-header">Is this a Migration</mat-panel-title>
                            </mat-expansion-panel-header>
                            <div class="form-group form-group-sm row">
                              <label class="col-form-label col-24 col-lg-4">Migration Type: </label>
                              <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                                <dx-select-box [items]="mplsMigrationTypeList"
                                               displayExpr="description"
                                               valueExpr="value"
                                               formControlName="migrationType"></dx-select-box>
                              </div>
                            </div>
                          </mat-expansion-panel>
                        </mat-accordion>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 text-danger">Related Compass NCR: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <div class="form-group form-group-sm row">
                        <div class="col-24 col-lg-6">
                          <dx-radio-group [items]="relatedCompassList" layout="horizontal"
                                          displayExpr="description" valueExpr="value"
                                          formControlName="relatedCompassNcr">
                          </dx-radio-group>
                          <div *ngIf="relatedCompassNcr.invalid && (relatedCompassNcr.dirty || relatedCompassNcr.touched || isSubmitted)">
                            <span *ngIf="relatedCompassNcr.errors.required" class="form-text text-danger">
                              Related Compass NCR is required
                            </span>
                          </div>
                        </div>
                        <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                          <div *ngIf="relatedCompassNcr.value">
                            <input type="text" class="form-control form-control-sm" formControlName="relatedCompassNcrName" />
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="card mb-3">
                  <mat-accordion>
                    <mat-expansion-panel [expanded]="true" class="mb-2">
                      <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                        <mat-panel-title class="small-header">Access Table Tag</mat-panel-title>
                      </mat-expansion-panel-header>
                      <div class="mb-3">
                        <dx-data-grid #tagGrid id="tagGrid" [dataSource]="mplsEventAccessTagList"
                                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                                      [showBorders]="true" [columnAutoWidth]="true"
                                      (onRowInserting)="saveMplsTag($event)"
                                      (onContentReady)="tagGrid.instance.searchByText(tagGrid.searchPanel.text.trim())"
                                      [disabled]="!editMode">
                          <dxo-sorting mode="multiple"></dxo-sorting>
                          <dxo-editing mode="row"
                                       [allowUpdating]="true"
                                       [allowDeleting]="true"
                                       [allowAdding]="true">
                          </dxo-editing>
                          <dxo-paging [pageSize]="50"></dxo-paging>
                          <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
                          <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
                          <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
                          <dxi-column dataField="locCtyNme" caption="Location City"
                                      dataType="string" [minWidth]="150">
                            <dxi-validation-rule type="required"></dxi-validation-rule>
                          </dxi-column>
                          <dxi-column dataField="locSttNme" caption="Location State"
                                      dataType="string" [minWidth]="150">
                            <dxi-validation-rule type="required"></dxi-validation-rule>
                          </dxi-column>
                          <dxi-column dataField="plDalCktNbr" caption="PL/DAL Circuit"
                                      dataType="string" [minWidth]="150">
                            <dxi-validation-rule type="required"></dxi-validation-rule>
                          </dxi-column>
                          <dxi-column dataField="trnsprtOeFtnNbr" caption="Transport FTN"
                                      dataType="string" [minWidth]="150">
                            <dxi-validation-rule type="required"></dxi-validation-rule>
                          </dxi-column>
                          <dxi-column dataField="vasSolNbr" caption="VAS FTN"
                                      dataType="string" [minWidth]="150">
                            <dxi-validation-rule type="required"></dxi-validation-rule>
                          </dxi-column>
                          <dxi-column dataField="trsNet449Adr" caption="Network Address - NUA"
                                      dataType="string" [minWidth]="150">
                            <dxi-validation-rule type="required"></dxi-validation-rule>
                          </dxi-column>
                          <dxi-column dataField="mplsAccsBdwdId" caption="Port Bandwidth"
                                      dataType="number" [minWidth]="200">
                            <dxo-lookup [dataSource]="mplsAccessBandwidthList"
                                        displayExpr="description" valueExpr="value">
                            </dxo-lookup>
                            <dxi-validation-rule type="required"></dxi-validation-rule>
                          </dxi-column>
                          <dxi-column dataField="mnsSipAdr" caption="MNS IP Address"
                                      dataType="string" [minWidth]="150" [visible]="mdsManaged.value">
                            <!--<dxi-validation-rule type="required"></dxi-validation-rule>-->
                          </dxi-column>
                          <dxi-column dataField="mnsOffrgRoutrId" caption="MNS Offering/Router Management"
                                      dataType="number" [minWidth]="350" [visible]="mdsManaged.value">
                            <dxo-lookup [dataSource]="mnsOfferingRouterList"
                                        displayExpr="description" valueExpr="value">
                            </dxo-lookup>
                          </dxi-column>
                          <dxi-column dataField="mnsRoutgTypeId" caption="MNS Routing"
                                      dataType="string" [minWidth]="150" [visible]="mdsManaged.value">
                            <dxo-lookup [dataSource]="mnsRoutingTypeList"
                                        displayExpr="description" valueExpr="value">
                            </dxo-lookup>
                          </dxi-column>
                          <dxi-column dataField="mnsPrfmcRptId" caption="MNS Performance Reporting"
                                      dataType="string" [minWidth]="400" [visible]="mdsManaged.value">
                            <dxo-lookup [dataSource]="mnsPerformanceReportingList"
                                        displayExpr="description" valueExpr="value">
                            </dxo-lookup>
                          </dxi-column>
                        </dx-data-grid>
                      </div>
                    </mat-expansion-panel>
                  </mat-accordion>
                </div>
                <app-escalation-template [group]="form.controls.event" [option]="option.event"></app-escalation-template>
              </div>
              <app-schedule-template [group]="form" [option]="option" [eventType]="eventType"
                                     [eventId]="id" [mplsAccessTag]="mplsEventAccessTagList"
                                     [isReviewer]="(profile == 'Reviewer' && editMode) ? true : false">
              </app-schedule-template>
              <br />
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8">Workflow Status: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <dx-select-box [items]="workflowStatusList"
                                   displayExpr="wrkflwStusDes"
                                   valueExpr="wrkflwStusId"
                                   formControlName="workflowStatus"></dx-select-box>
                  </div>
                </div>
              </div>
            </mat-expansion-panel>
          </mat-accordion>
        </div>

        <app-reviewer-template *ngIf="isReviewer && isRevActTask" [group]="form.controls.reviewer"
                               [option]="option.reviewer" [isSubmitted]="isSubmitted">
        </app-reviewer-template>
        <app-activators-template *ngIf="isActivator && isRevActTask && editMode"
                                 [group]="form.controls.activators" [eventTypeId]="eventType"
                                 [option]="option.activator" [isSubmitted]="isSubmitted">
        </app-activators-template>
        <app-event-history-template *ngIf="id > 0" [id]="id" [accordion]="true"></app-event-history-template>
        <br />
        <div class="form-row text-center">
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
            <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancel()">
              Cancel
            </button>
          </div>
          <!--<div class="form-group form-group-sm col-12 col-md-6 col-lg-4" *ngIf="!isLocked && allowEdit">
        <div *ngIf="editMode; then saveTemplate; else editTemplate;"></div>
        <ng-template #editTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="edit()">
            Edit Event
          </button>
        </ng-template>
        <ng-template #saveTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="save()"
                  [disabled]="form.invalid || mplsEventAccessTagList.length == 0">
            Save
          </button>
        </ng-template>
      </div>-->
        </div>
      </form>
    </div>
      </div>
    </div>
